Skip to content
Go to Micro

List webhooks

GET/v2/webhooks/{teamId}

Lists the team’s webhooks. Signing secrets are never included.

Path ParametersExpand Collapse
teamId: optional string
formatuuid
ReturnsExpand Collapse
data: array of Webhook { id, created_at, enabled, 8 more }
id: string
formatuuid
created_at: string
formatdate-time
enabled: boolean

Disabled webhooks are skipped at delivery time.

name: string
team_id: string
formatuuid
url: string

Endpoint events are delivered to.

formaturi
verified: boolean

True once the endpoint has completed the verification handshake.

description: optional string
updated_at: optional string
formatdate-time
verification_token: optional string

Stable token replayed to the endpoint (as the micro_hook_token query param) during the verification handshake. The endpoint may check it to confirm the request originated from Micro.

verified_at: optional string
formatdate-time

List webhooks

curl https://developers.micro.so/v2/webhooks/$TEAM_ID \
    -H "x-api-key: $MICRO_API_KEY"
{
  "data": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "enabled": true,
      "name": "name",
      "team_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "url": "https://example.com",
      "verified": true,
      "description": "description",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "verification_token": "verification_token",
      "verified_at": "2019-12-27T18:11:19.117Z"
    }
  ]
}
Returns Examples
{
  "data": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "enabled": true,
      "name": "name",
      "team_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "url": "https://example.com",
      "verified": true,
      "description": "description",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "verification_token": "verification_token",
      "verified_at": "2019-12-27T18:11:19.117Z"
    }
  ]
}